Bug 875479 - [abrt] evince-3.6.1-2.fc18: INT_cairo_set_source: Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
Summary: [abrt] evince-3.6.1-2.fc18: INT_cairo_set_source: Process /usr/bin/evince was...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:58799bd101a8b2e2d6090fc7476...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-11 14:37 UTC by Simon Hammersley
Modified: 2013-04-08 22:53 UTC (History)
6 users (show)

Fixed In Version: poppler-0.20.2-12.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-08 22:53:36 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (2.29 KB, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details
File: environ (2.22 KB, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details
File: backtrace (28.01 KB, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details
File: cgroup (128 bytes, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details
File: executable (15 bytes, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details
File: maps (55.18 KB, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details
File: dso_list (11.08 KB, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details
File: proc_pid_status (921 bytes, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details
File: var_log_messages (150 bytes, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details
File: open_fds (770 bytes, text/plain)
2012-11-11 14:37 UTC, Simon Hammersley
no flags Details

Description Simon Hammersley 2012-11-11 14:37:07 UTC
Description of problem:
attempting to page up to a figure, kept crashig at same point in page 

Version-Release number of selected component:
evince-3.6.1-2.fc18

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        evince /home/simon/Downloads/Gertboard_Assembly_Manual_Rev1.1_F.pdf
crash_function: INT_cairo_set_source
kernel:         3.6.6-3.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 INT_cairo_set_source at cairo.c:794
: #1 CairoOutputDev::setSoftMaskFromImageMask at CairoOutputDev.cc:1864
: #2 Gfx::doPatternImageMask at Gfx.cc:2036
: #3 Gfx::doImage at Gfx.cc:4295
: #4 Gfx::opBeginImage at Gfx.cc:4886
: #5 Gfx::go at Gfx.cc:716
: #6 Gfx::display at Gfx.cc:682
: #7 Page::display at Page.cc:555
: #8 poppler_page_get_image_output_dev at poppler-page.cc:928
: #9 poppler_page_get_image_mapping at poppler-page.cc:953

Comment 1 Simon Hammersley 2012-11-11 14:37:11 UTC
Created attachment 642873 [details]
File: core_backtrace

Comment 2 Simon Hammersley 2012-11-11 14:37:13 UTC
Created attachment 642874 [details]
File: environ

Comment 3 Simon Hammersley 2012-11-11 14:37:16 UTC
Created attachment 642875 [details]
File: limits

Comment 4 Simon Hammersley 2012-11-11 14:37:19 UTC
Created attachment 642876 [details]
File: backtrace

Comment 5 Simon Hammersley 2012-11-11 14:37:21 UTC
Created attachment 642877 [details]
File: cgroup

Comment 6 Simon Hammersley 2012-11-11 14:37:24 UTC
Created attachment 642878 [details]
File: executable

Comment 7 Simon Hammersley 2012-11-11 14:37:27 UTC
Created attachment 642879 [details]
File: maps

Comment 8 Simon Hammersley 2012-11-11 14:37:29 UTC
Created attachment 642880 [details]
File: dso_list

Comment 9 Simon Hammersley 2012-11-11 14:37:32 UTC
Created attachment 642881 [details]
File: proc_pid_status

Comment 10 Simon Hammersley 2012-11-11 14:37:34 UTC
Created attachment 642882 [details]
File: var_log_messages

Comment 11 Simon Hammersley 2012-11-11 14:37:36 UTC
Created attachment 642883 [details]
File: open_fds

Comment 12 danath 2012-12-09 15:02:55 UTC
The issue happened when I was reading a PDF file which contained an EPS figure in the last page.

backtrace_rating: 4
Package: evince-3.6.1-2.fc18
OS Release: Fedora release 18 (Spherical Cow)

Comment 13 Jeffrey C. Ollie 2012-12-16 00:25:12 UTC
Trying to view:

http://www.farewaydesmoines.com/Fareway_weekly.pdf


backtrace_rating: 4
Package: evince-3.6.1-2.fc18
OS Release: Fedora release 18 (Spherical Cow)

Comment 14 Amit Shah 2013-01-11 06:44:29 UTC
Opened a pdf that was created by visio.  Crash happened before pdf opened (evince window briefly appeared).

Comment 15 Marek Kašík 2013-03-20 17:56:47 UTC
Hi,

I've committed a simple NULL-check fixing this crash. Upstream used another patch but it changes API (see https://bugs.freedesktop.org/show_bug.cgi?id=57067 and http://cgit.freedesktop.org/poppler/poppler/commit/?id=e0d0177562ff546b59b3bc8eb68a08dc740d6f6c).
I'm not pushing an update for this now because there is another one in testing and I want to check some other bugs yet.

You can get the build here: http://koji.fedoraproject.org/koji/buildinfo?buildID=404364

Regards

Marek

Comment 16 Fedora Update System 2013-04-02 12:26:36 UTC
poppler-0.20.2-15.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/poppler-0.20.2-15.fc18

Comment 17 Fedora Update System 2013-04-03 04:45:29 UTC
Package poppler-0.20.2-15.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing poppler-0.20.2-15.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4732/poppler-0.20.2-15.fc18
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2013-04-08 22:53:38 UTC
poppler-0.20.2-15.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.